From dd09982f3ed7daa855e06629794b01f5419d3784 Mon Sep 17 00:00:00 2001
From: Bruce Momjian <bruce@momjian.us>
Date: Tue, 8 Oct 1996 04:09:50 +0000
Subject: [PATCH] Add execute permission.

---
 src/MAKE_CTAGS | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100644 src/MAKE_CTAGS

diff --git a/src/MAKE_CTAGS b/src/MAKE_CTAGS
new file mode 100644
index 00000000000..ef99564694c
--- /dev/null
+++ b/src/MAKE_CTAGS
@@ -0,0 +1,10 @@
+#!/bin/sh
+trap "rm -f /tmp/$$" 0 1 2 3 15
+rm -f ./tags
+find `pwd`/ -type f -name '*.[chyl]' -print|xargs ctags -t -a -f tags
+sort tags >/tmp/$$ && mv /tmp/$$ tags
+
+find . -type d -print |while read DIR
+do
+	[ "$DIR" != "." ] && ln -f -s `pwd`/tags $DIR/tags
+done
-- 
GitLab